EUCLID-G(1)

NAME
euclid-g - EUCLID Translator (EUCLID to BRL-CAD)

SYNOPSIS

euclid-g euclid_file database.g

DESCRIPTION

euclid-g converts the specified euclid_file to a BRL-CAD database.g file. The euclid_file is expected to be an ASCII file format that is the "decoded" version of the Euclid file. The decoded file represents each object as a series of polygonal faces. Each face may be one of either a simple face (no holes), a complex face (contains at least one hole), or a simple hole. This converter creates a region for each object ID number by unioning together all the objects with the same ID number.

EXAMPLE

    $ euclid-g sample.euclid sample.g

DIAGNOSTICS

Error messages are intended to be self-explanatory.

AUTHOR

BRL-CAD Team

COPYRIGHT

This software is Copyright (c) 1993-2013 by the United States Government as represented by U.S. Army Research Laboratory.

BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.